立石@JAISTです。

require "tk"
をすると必ず270行目で死んでしまいます。
原因がわかりません。(^^;

tcltklib,tkutil自体は正常にrequireできます。

環境:
ruby-1.1b9_25
linux-2.0.33
gcc-2.8.1, libc-5.4.38
tcl7.6, tk4.2

また、SunOS4.1.4(gcc 2.7.2.1)でもやってみましたがこちらは
269行目でRuntimeErrorとなります。

----------------------------------------------
Name	Takaaki Tateishi
E-Mail 	ttate / jaist.ac.jp
	tateishi / pluto.dti.ne.jp
URL	http://www.pluto.dti.ne.jp/~tateishi/
Org	School of Information Science
	Japan Advanced Institute of Science and Technology (JAIST)